Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class NoSingleSectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException
                      org.apache.poi.hpsf.NoSingleSectionException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSingleSectionException

extends HPSFRuntimeException

This exception is thrown if one of the `PropertySet`'s convenience methods that require a single `Section` is called and the `PropertySet` does not contain exactly one `Section`.

The constructors of this class are analogous to those of its superclass and documented there.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`NoSingleSectionException()` Constructor
`NoSingleSectionException(java.lang.String msg)` Constructor
`NoSingleSectionException(java.lang.String msg, java.lang.Throwable reason)` Constructor
`NoSingleSectionException(java.lang.Throwable reason)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.HPSFRuntimeException
`getReason, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSingleSectionException

    public NoSingleSectionException()

  Constructor

### NoSingleSectionException

    public NoSingleSectionException(java.lang.String msg)

  Constructor

  Parameters:
    `msg` - The exception's message string

### NoSingleSectionException

    public NoSingleSectionException(java.lang.Throwable reason)

  Constructor

  Parameters:
    `reason` - This exception's underlying reason

### NoSingleSectionException

    public NoSingleSectionException(java.lang.String msg,
                                    java.lang.Throwable reason)

  Constructor

  Parameters:
    `msg` - The exception's message string
    `reason` - This exception's underlying reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD